image: python:3.6-alpine

publish:
  except:
  - production
  - devel
  script:
  - pip install -r requirements.txt
  - pelican -s pubconf-devel.py --fatal warnings
  - pelican -s pubconf-production.py --fatal warnings

pages:
  only:
  - production
  - devel
  script:
  - pip install -r requirements.txt
  - date --utc +%H:%M > mytheme/templates/time
  - date --utc +%d/%m/%Y > mytheme/templates/date
  - echo $CI_COMMIT_SHORT_SHA > mytheme/templates/commit
  - pelican -s "pubconf-${CI_COMMIT_REF_NAME}.py" --fatal warnings
  artifacts:
    when: on_success
    paths:
    - public
